import {Component, OnInit} from '@angular/core';
import {InputComponentManagerService} from './input-component-manager.service';
import {Step} from './step';
import {RouterOutlet} from '@angular/router';
import {TextInputFieldComponent} from './text-input-field/text-input-field.component';
import {ConverterSelectorComponent} from './converter-selector/converter-selector.component';
import {ErrorMessageComponent} from './error-message/error-message.component';
import {VersionComponent} from './version/version.component';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [
    ConverterSelectorComponent,
    ErrorMessageComponent,
    RouterOutlet,
    TextInputFieldComponent,
    VersionComponent
  ],
  templateUrl: './app.component.html',
  styleUrl: './app.component.scss'
})
export class AppComponent implements OnInit {
  public steps: Step[] = [];

  constructor(private inputComponentManagerService: InputComponentManagerService) {
  }

  ngOnInit(): void {
    this.steps = this.inputComponentManagerService.getAllComponents();
    this.inputComponentManagerService.getFirst();
  }
}
